#pragma once

#include "CoreMinimal.h"
#include "Rendering/RenderingCommon.h"
#include "K36MagicItemNiagaraSystemByColorBlindSetting.generated.h"

class UNiagaraSystem;

USTRUCT(BlueprintType)
struct FK36MagicItemNiagaraSystemByColorBlindSetting
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EColorVisionDeficiency ColorVisionDeficiency;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UNiagaraSystem* OverridingNiagaraSystem;

public:
	THEK36_API FK36MagicItemNiagaraSystemByColorBlindSetting();
};

FORCEINLINE uint32 GetTypeHash(const FK36MagicItemNiagaraSystemByColorBlindSetting) { return 0; }
